## org.apache.sling.scripting.jst
Class JsCodeGeneratorServlet

    java.lang.Object
      javax.servlet.GenericServlet
          org.apache.sling.api.servlets.SlingSafeMethodsServlet
              org.apache.sling.scripting.jst.JsCodeGeneratorServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    @Service(value=javax.servlet.Servlet.class)
    @Properties(value={@Property(name="service.description",value="Apache Sling JST code generator servlet"),@Property(name="sling.servlet.resourceTypes",value="sling/servlet/default"),@Property(name="sling.servlet.extensions",value="js"),@Property(name="sling.servlet.selectors",value="jst")})
    public class JsCodeGeneratorServlet

extends org.apache.sling.api.servlets.SlingSafeMethodsServlet

A SlingSafeMethodsServlet that renders JST templates as javascript code

See Also:
  Serialized Form

Constructor Summary
`JsCodeGeneratorServlet()`

Method Summary
`protected void` `doGet(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`

Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet
`doGeneric, doHead, doOptions, doTrace, getAllowedRequestMethods, getServletInfo, handleMethodNotImplemented, mayService, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsCodeGeneratorServlet

    public JsCodeGeneratorServlet()

Method Detail

### doGet

    protected void doGet(org.apache.sling.api.SlingHttpServletRequest request,
                         org.apache.sling.api.SlingHttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Overrides:
    `doGet` in class `org.apache.sling.api.servlets.SlingSafeMethodsServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Copyright © 2007-2012 The Apache Software Foundation. All Rights Reserved.